const generateGraphQLSchema = require('./generateGraphQLSchema');
const convertGraphQLSchemaToString = require('./convertGraphQLSchemaToString');
const generateKnexSchemaSpec = require('./generateKnexSchemaSpec');
const getCleanSchemaCommand = require('./getCleanSchemaCommand');

module.exports = (function(){
    return {
        generateGraphQLSchema,
        convertGraphQLSchemaToString,
        getCleanSchemaCommand,
        generateKnexSchemaSpec
    }
})();