const createTables = require("./createTables");
const createFunctions = require("./createFunctions");

function applySchemaTablesAndFunctions(db, schemaSpec, opts = {}) {
  return createTables(db, schemaSpec.tables, opts).then(function () {
    return createFunctions(db, schemaSpec.functions, opts);
  });
}

module.exports = applySchemaTablesAndFunctions;
