const Promise = require('bluebird');

module.exports = function doesSchemaExist(db, schemaName, opts){
     return db.raw('SELECT USERNAME FROM ALL_USERS WHERE USERNAME LIKE ?', [schemaName])
             .then((result) => {
                return Promise.resolve((result.length > 0));
             });

}