var truncateSchemaOracle = require('./dialect-tools/oracle/truncateSchema');
var truncateSchemaPostgres = require('./dialect-tools/postgres/truncateSchema');

module.exports = function(db, appConfig, opts){
    if(appConfig.db.dialect==="oracle"){
      return truncateSchemaOracle(db, appConfig, opts);
    }
    else if(appConfig.db.dialect==="postgres"){
      return truncateSchemaPostgres(db, appConfig, opts);
    }
    else {
      throw new Error("Unsupported dialect " + appConfig.db.dialect);
    }
}








