const fse = require('fs-extra');
const path = require('path');

module.exports = function extendGraphQLSchema(appConfig, schemaSpec, opts){
    var schemaPath = appConfig.graphql.schemaPath;
    var extSchemaPath = path.join(schemaPath, 'ext/index.js');
    if(fse.existsSync(extSchemaPath)){
        schemaSpec = require(extSchemaPath)(schemaSpec);
    }
    
    return schemaSpec;
}