
const path = require('path');

module.exports = {
    refreshSchema: true,
    generateFakeData: false,
    web: {
        port: 3500
    },
    graphql: {
        datamodelCSVPath: path.resolve(__dirname, '../../../scratch/datamodel-csv-export'),
        resolversPath: path.resolve(__dirname, '../../../scratch/graphql/resolvers'),
        schemaPath: path.resolve(__dirname, '../../../scratch/graphql/schema'),
        mockResolversPath: path.resolve(__dirname, '../../../scratch/graphql/mock-resolvers'),
        dataLibPath: path.resolve(__dirname, '../../../scratch/data-lib'),
        enableMockResolvers: false,
        enableModelResolvers: true
    }
};
