#!/usr/bin/env node
const path = require('path');
const envConfigPath = path.resolve(process.cwd(), '.db.env');
require('dotenv').config({path: envConfigPath });
const program = require('commander');
const configureCommands = require('./utils/configureCommands');
const commands = require('./commands');

configureCommands(commands, program);

program.parse(process.argv);