
const getDictionaryDataList = require('../getDictionaryDataList');

describe("getDictionaryDataList", () => {
    it("exports default function", () => {
        expect(typeof getDictionaryDataList).toBe('function')
    })

    it("returns expected dictionary file list", () => {
        const appConfig = require('../tests/example-1/config');
        const tableMap = require('../tests/example-1/data-lib/db/table-map.json');
        let dictList = getDictionaryDataList(tableMap, appConfig);
        const expectedDictList = require('../tests/example-1-expected');
        
        expect(dictList).toEqual(expectedDictList);
    })
})
