const mapModelRecordToTableRecord = require('../mapModelRecordToTableRecord');
const getTableNameFromModelName = require('../getTableNameFromModelName');

function insertDictionaryData(modelName, data, tableMap, db){
    let tableRecords = data.map((record) => {
        return mapModelRecordToTableRecord(record, modelName, tableMap);
    });

    let tableName = getTableNameFromModelName(modelName, tableMap);

    console.log(`insert dict data into ${tableName}:`);
    console.log(tableRecords);
    return db.insert(tableRecords).into(tableName).then((result) => result);    
}

module.exports = insertDictionaryData;
