const { mapKeys } = require('lodash');
const tableMapToModelMap = require('../tableMapToModelMap');

function mapModelRecordToTableRecord(record, modelName, tableMap){
    
    let modelMap = tableMapToModelMap(modelName, tableMap);
    
    let tableRecord = mapKeys(record, (val, key) => {
        return modelMap[key];
    });
    
    return tableRecord;
}

module.exports = mapModelRecordToTableRecord;
