const { values, find } = require('lodash');

function tableMapToModelMap(modelName, tableMap){
    let modelMap = {};

    let modelList = values(tableMap);
    let modelDef = find(modelList, { modelName });
    let attrList = values(modelDef.attributes);
    
    attrList.forEach((attr) => {
        modelMap[attr.name] = attr.columnName;
    });

    return modelMap;
}

module.exports = tableMapToModelMap;