const path = require('path');

module.exports = {
    db: { },
    refreshSchema: true,
    generateFakeData: false,
    web: {
        port: 3500
    },
    graphql: {
        datamodelCSVPath: path.resolve(__dirname, './datamodel-csv-export'),
        resolversPath: path.resolve(__dirname, './graphql/resolvers'),
        schemaPath: path.resolve(__dirname, './graphql/schema'),
        mockResolversPath: path.resolve(__dirname, './graphql/mock-resolvers'),
        dataLibPath: path.resolve(__dirname, './data-lib'),
        enableMockResolvers: false,
        enableModelResolvers: true
    }
};