const { getDictionaryDataList, insertDictionaryData } = require('../common');
const fse = require('fs-extra');
async function initDictionaries(db, schemaSpec, tableMap, opts, appConfig){
    let dictList = getDictionaryDataList(tableMap, appConfig);
    for(let dict of dictList){
        let dictData = fse.readJsonSync(dict.filePath);
        await insertDictionaryData(dict.modelName, dictData, tableMap, db);
    }
}

module.exports = initDictionaries;