const { typeMap } = require("./knexTypeMap");

module.exports = function convertToKnexType(attrDef, attrName, dialect) {
  var dataTypeName = attrDef.dataType.toUpperCase();

  if (typeof typeMap[dataTypeName] !== "undefined") {
    if (typeof typeMap[dataTypeName] === "string")
      dataTypeName = typeMap[dataTypeName];

    return typeMap[dataTypeName](attrDef, attrName, dialect);
  } else {
    throw new Error("Unable to convert type " + attrDef.dataType);
  }
};

