function getViewFromModel(modelDef, schemaName, dialect, isCommon) {
  if (dialect === "postgres") {
    if (modelDef.sql.pg) {
      return {
        cmd: `CREATE OR REPLACE VIEW "${schemaName}"."${modelDef.tableName}" AS \n ${modelDef.sql.pg}`,
        bindings: [],
        isCommon
      };
    } else {
      throw new Error(`Unsupported dialect: ${dialect} for views`);
    }
  } else if (dialect === "oracle") {
    throw new Error(`Unsupported dialect: ${dialect} for views`);
  }
  throw new Error("Unrecognized dialect " + dialect);
}

module.exports = { getViewFromModel };
