
const knex = require('knex');

module.exports = function loadDataLib(appConfig, opts) {
    opts = opts || {};

    var db = knex(appConfig.db.app);

    if (opts.postDbInit) {
        opts.postDbInit(db, appConfig);
    }

    var DataLib = require(appConfig.graphql.dataLibPath);

    return { DataLib, db, opts };
}