const createRelationships = require("./createRelationships");
const createConstraints = require("./createConstraints");

function applySchemaRefsAndConstraints(db, schemaSpec, opts = {}) {
  return createRelationships(db, schemaSpec.relationships, opts).then(function () {
    return createConstraints(db, schemaSpec.constraints, opts);
  });
}

module.exports = applySchemaRefsAndConstraints;
