const cleanSchema = require("./cleanSchema");

async function cleanModuleSchemas(db, schemaSpec, opts = {}) {
  const { moduleSchema, commonSchema, log } = opts;

  if (moduleSchema) {
    log(`[ORADM-CLEAN] Cleaning module schema`);
    await cleanSchema(db, schemaSpec.cleanSchema, opts);
  }

  if (commonSchema) {
    log(`[ORADM-CLEAN] Cleaning common schema`);
    await cleanSchema(db, schemaSpec.cleanCommonSchema, opts);
  }

  // return
  //   .then(function() {
  //     if(schemaSpec.cleanCommonSchema && cleanCommonSchema){
  //       return cleanSchema(db, schemaSpec.cleanCommonSchema, { ...opts, cleanCommonSchema });
  //     }
  //   });
}

module.exports = cleanModuleSchemas;
