const Promise = require('bluebird');

module.exports = function doesSchemaExist(db, tablespaceName, opts){
     return db.raw('SELECT TABLESPACE_NAME FROM DBA_TABLESPACES WHERE TABLESPACE_NAME LIKE ?', [tablespaceName])
             .then((result) => {
                return Promise.resolve((result.length > 0));
             });

}