const applyBindings = require('./applyBindings');
const fs = require('fs');

function logSQL(qb){
    if (!process.env.generateSQL) return qb;
    let data
    if(qb.cmd&&!qb.toSQL)
    {
      qb.cmd = qb.cmd.replace(/CREATE FUNCTION/g,'CREATE OR REPLACE FUNCTION');
      qb.cmd = qb.cmd.replace(/CREATE TRIGGER/g,'CREATE OR REPLACE TRIGGER');
      qb.cmd = qb.cmd.replace(/references\ /g,'references "app".');
      qb.cmd = qb.cmd.replace(/\n\$BODY\$/g,'\n$BODY$;');
      data = applyBindings(qb)
      if(!data.match(/BEGIN/)&&data.charAt(data.length-1)!==";") { data += ";" }
    }
    else if(qb.toString()&&qb.toSQL)
    {
      data = qb.toString()
      data = data.replace(/CREATE FUNCTION/g,'CREATE OR REPLACE FUNCTION');
      data = data.replace(/CREATE TRIGGER/g,'CREATE OR REPLACE TRIGGER');
      data = data.replace(/references\ /g,'references "app".');
      data = data.replace(/\n\$BODY\$/g,'\n$BODY$;');

      if(qb.toString&&qb.toSQL){
        if(!data.match(/BEGIN/)&&data.charAt(data.length-1)!==";") { data += ";" }
      }
    }
    else { data = "\n-- "+qb+"\n"; }
    fs.appendFileSync(process.env.generateSQLPath, data+"\n");
    return qb
}

module.exports = logSQL;
