const knex = require('knex');
const Promise = require('bluebird');

function runCommands(dbConfig, commands, opts){
    opts = opts || {};
    let log = opts.log || function(){};
    let connName = opts.connName || "app";
    let db = knex(dbConfig[connName]); 
    // db.logSQL(`Running commands`)
    return Promise.each(commands, (cmdDef) => {
        let qb = db.raw(cmdDef.cmd, cmdDef.bindings);
        return qb;
        // return db.logSQL(qb);
    });
}

module.exports = runCommands;