const Promise = require("bluebird");

module.exports = function(db, initSql, opts) {
  opts = opts || {};
  var log = opts.log || function() {};
  db.logSQL(`Creating initsql`);
  return Promise.each(initSql, cmdDef => {
    if (cmdDef.isCommon && !opts.cleanCommonSchema) return;
    let qb = db.raw(cmdDef.cmd, cmdDef.bindings);

    return db.logSQL(cmdDef);
  });
};
